Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

build: disable Vulkan support by default (4-1-x) #17789

Merged
merged 1 commit into from Apr 16, 2019

Conversation

Projects
None yet
3 participants
@alexeykuzmin
Copy link
Contributor

commented Apr 15, 2019

Description of Change

Is was enabled in
https://chromium.googlesource.com/chromium/src.git/+/327326656f2c8c45ecb0ff4675e5c577e7c275ef
which landed in 69.0.3460.0

Vulkan support would require a command line parameter "--enable-vulkan"
to be passes to a binary to be enabled anyway,
so this change doesn't actual alter the current behaviour of Electron.

Checklist

Release Notes

Notes: Removed unused Vulkan libraries from bundle.

build: disable Vulkan support by default
Is was enabled in
https://chromium.googlesource.com/chromium/src.git/+/327326656f2c8c45ecb0ff4675e5c577e7c275ef
which landed in 69.0.3460.0

Vulkan support would require a command line parameter "--enable-vulkan"
to be passes to a binary to be enabled anyway,
so this change doesn't actual alter the current behaviour of Electron.

(cherry picked from commit e05e45d)

@alexeykuzmin alexeykuzmin changed the title build: disable Vulkan support by default build: disable Vulkan support by default (4-1-x) Apr 15, 2019

@alexeykuzmin alexeykuzmin referenced this pull request Apr 15, 2019

Closed

build: disable Vulkan support by default #17694

4 of 4 tasks complete
@nornagon

This comment has been minimized.

Copy link
Contributor

commented Apr 15, 2019

Suggest release notes change:

Remove unused Vulkan libraries from bundle.

Since we don't actually support vulkan even when shipping these binaries (you mentioned it doesn't work even if you pass the flag), I wouldn't say we're disabling anything here?

@nornagon nornagon referenced this pull request Apr 15, 2019

Merged

build: disable Vulkan support by default (5-0-x) #17788

4 of 4 tasks complete
@alexeykuzmin

This comment has been minimized.

Copy link
Contributor Author

commented Apr 16, 2019

@nornagon You just could have updated the release notes yourself =) Done.
Any other suggestions?

@jkleinsc jkleinsc merged commit ccad8ec into 4-1-x Apr 16, 2019

13 checks passed

Artifact Comparison No Changes
Details
Semantic Pull Request ready to be squashed
Details
WIP Ready for review
Details
appveyor: win-ia32-debug AppVeyor build succeeded
Details
appveyor: win-ia32-testing AppVeyor build succeeded
Details
appveyor: win-ia32-testing-pr AppVeyor build succeeded
Details
appveyor: win-x64-debug AppVeyor build succeeded
Details
appveyor: win-x64-testing AppVeyor build succeeded
Details
appveyor: win-x64-testing-pr AppVeyor build succeeded
Details
build-linux Workflow: build-linux
Details
build-mac Workflow: build-mac
Details
electron-arm64-testing Build #20190415.1 succeeded
Details
release-notes Release notes found
@release-clerk

This comment has been minimized.

Copy link

commented Apr 16, 2019

Release Notes Persisted

Removed unused Vulkan libraries from bundle.

@jkleinsc jkleinsc deleted the 4-1-x-disable-vulkan branch Apr 16, 2019

miniak added a commit that referenced this pull request Apr 26, 2019

@miniak miniak referenced this pull request Apr 26, 2019

Merged

build: revert disabling Vulkan support (4-1-x) #17987

3 of 3 tasks complete

jkleinsc added a commit that referenced this pull request Apr 30, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.